Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.blobstore
Class BlobstoreInputStream.ClosedStreamException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.google.appengine.api.blobstore.BlobstoreInputStream.ClosedStreamException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  BlobstoreInputStream

    public static final class BlobstoreInputStream.ClosedStreamException

extends java.io.IOException

A subclass of `IOException` that indicates operations on a stream after it is closed.

See Also:
  Serialized Form

Constructor Summary
`BlobstoreInputStream.ClosedStreamException(java.lang.String message)` Construct an exception with specified message.
`BlobstoreInputStream.ClosedStreamException(java.lang.String message, java.lang.Throwable cause)` Construct exception with specified message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlobstoreInputStream.ClosedStreamException

    public BlobstoreInputStream.ClosedStreamException(java.lang.String message)

  Construct an exception with specified message.

### BlobstoreInputStream.ClosedStreamException

    public BlobstoreInputStream.ClosedStreamException(java.lang.String message,
                                                      java.lang.Throwable cause)

  Construct exception with specified message and cause.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD